CP1251

var version = java.lang.System.getProperty("java.version");
if (version.startsWith("1.8.0")) {
    load("nashorn:mozilla_compat.js");
}

importPackage(org.apache.log4j);
logger = LogManager.getLogger('Logger');
logger.debug('********************** global.show_perem: [' + GLOBAL.get('SHOW_PEREM') + ']');
logger.debug('********************** 111');
GRID3.setColumnVisible('column_perem', GLOBAL.get('SHOW_PEREM')==1?true:false);
GRID3.setColumnVisible('column_spis', GLOBAL.get('SHOW_SPIS')==1?true:false);
GRID3.setColumnVisible('column_zak', GLOBAL.get('SHOW_ZAK')==1?true:false);
GRID3.setColumnVisible('column_zak_date', GLOBAL.get('SHOW_ZAK_DATE')==1?true:false);
GRID3.setColumnVisible('column_supplier', GLOBAL.get('SHOW_SUPPLIER')==1?true:false);
GRID3.setColumnVisible('column_last_supply_date', GLOBAL.get('SHOW_SUPPLIER')==1?true:false);
GRID3.setColumnVisible('column_zak_date', GLOBAL.get('SHOW_SUPPLIER')==1?true:false);
logger.debug('********************** 222');
ret = '';
